function gd.GrimHarvest.Multiply_Proxy_proxy_devilscrossingattack_aetherial_n(objectID)
	gd.quests.devilsCrossingTownAttacks.aetherialAttacksFollowPatrol(objectID)
	gd.GrimHarvest.Multiply_Proxy(objectID)
end

function gd.GrimHarvest.Multiply_Proxy_proxy_devilscrossingattack_aetherial_t(objectID)
	gd.quests.devilsCrossingTownAttacks.aetherialAttacksFollowPatrol(objectID)
	gd.GrimHarvest.Multiply_Proxy(objectID)
end

function gd.GrimHarvest.Multiply_Proxy_proxy_devilscrossingattack_outlaw_n(objectID)
	gd.quests.devilsCrossingTownAttacks.outlawAttacksFollowPatrol(objectID)
	gd.GrimHarvest.Multiply_Proxy(objectID)
end

function gd.GrimHarvest.Multiply_Proxy_proxy_homesteadattack_cult_n(objectID)
	gd.quests.areaCHomesteadAttacks.attacksFollowPatrol(objectID)
	gd.GrimHarvest.Multiply_Proxy(objectID)
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areaf_factorygate_horde01(objectID)
	gd.quests.areaFFactoryGatebattle.aetherialAttack01FollowPatrol(objectID)
	gd.GrimHarvest.Multiply_Proxy(objectID)
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areaf_factorygate_horde02(objectID)
	gd.quests.areaFFactoryGatebattle.aetherialAttack02FollowPatrol(objectID)
	gd.GrimHarvest.Multiply_Proxy(objectID)
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areaf_rebelbase_horde01(objectID)
	gd.quests.areaFFactoryGatebattle.aetherialAttack01FollowPatrol(objectID)
	gd.GrimHarvest.Multiply_Proxy(objectID)
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areag_witchgodbase_attack_01(objectID)
	gd.quests.areaGWitchGodBaseAttacks.gateAttack01FollowPatrol(objectID)
	gd.GrimHarvest.Multiply_Proxy(objectID)
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areag_witchgodforwardcamp_attack_01(objectID)
	gd.quests.areaGWitchGodBaseAttacks.gateAttack02FollowPatrol(objectID)
	gd.GrimHarvest.Multiply_Proxy(objectID)
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areag_witchgodforwardcamp_attack_02(objectID)
	gd.quests.areaGWitchGodBaseAttacks.gateAttack03FollowPatrol(objectID)
	gd.GrimHarvest.Multiply_Proxy(objectID)
end


-- prevent infinite loop
local is_boss_spawned = {}
function gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, dbr, quest)
	if Server then
		if(is_boss_spawned[dbr]) then
			return
		end
		is_boss_spawned[dbr] = true
		if(quest) then
			quest(objectID)
		end
		gd.GrimHarvest.MultiplyBossWithRecord(objectID, dbr)
	end
end

function gd.GrimHarvest.Multiply_Proxy_questproxy_miltonharta01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/questproxy_miltonharta01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areab_arkovianfoothills_minea01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/proxy_areab_arkovianfoothills_minea01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areab_oldarkovia_minea01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/proxy_areab_oldarkovia_minea01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areab_oldarkovia_pitmaster(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/proxy_areab_oldarkovia_pitmaster.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_skeletalgolem_uroboruuksearch_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/proxy_uroboruuk_guardian.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_banditleader_darius(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/proxy_daius.dbr", gd.quests.homesteadQuestRemoveTheHead.dariusAvatarOnAddToWorld)
end

function gd.GrimHarvest.Multiply_Proxy_direni_hostile02(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/proxy_direni.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_bl_bounty17(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/proxy_bounty17.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areac_prawncave_mountaindeeps_a01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/proxy_areac_prawncave_mountaindeeps_a01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_questproxy_areac_dermapteranvizier_a01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/questproxy_areac_dermapteranvizier_a01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_questproxy_areac_dermapteranvizier_a02(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/questproxy_areac_dermapteranvizier_a02.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areac_chthoniandevourer_chthonicvoid_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/proxy_areac_chthoniandevourer_chthonicvoid_01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_questproxy_areac_cultistcaptain_a01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/questproxy_areac_cultistcaptain_a01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_humanpossessed_outcastquesttarget(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/proxy_outcast_target.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_ghost_maninneed_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/proxy_ghost_maninneed_01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_questproxy_areac_aetherialabomination_a01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/questproxy_areac_aetherialabomination_a01.dbr", gd.quests.areaCQuestAetherialFarm.bossAvatarOnAddToWorld)
end

function gd.GrimHarvest.Multiply_Proxy_questproxy_areac_dermapteranqueen_a01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/questproxy_areac_dermapteranqueen_a01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_aread_yeti_asterkarnmountains_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/proxy_aread_yeti_asterkarnmountains_01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_aread_chthonianleech_necropolis_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/proxy_aread_chthonianleech_necropolis_01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_outcast_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/proxy_outcast_01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_outcast_02(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/proxy_outcast_02.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_outcast_03(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/proxy_outcast_03.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_loghorean(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/proxy_loghorean.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_questproxy_necro_boss02(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/questproxy_necro_boss02.dbr", gd.areaCFactionBattle.bossAvatarOnAddToWorld)
end

function gd.GrimHarvest.Multiply_Proxy_questproxy_zealot_boss02(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&quest/questproxy_zealot_boss02.dbr", gd.areaCFactionBattle.bossAvatarOnAddToWorld)
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areae_wendigo_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/proxy_areae_wendigo_01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areae_wendigo_02(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/proxy_areae_wendigo_02.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areae_wendigo_03(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/proxy_areae_wendigo_03.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_ancientgrove_deathstalker(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/special/proxy_ancientgrove_deathstalker.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areae_swampgolem_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/proxy_areae_swampgolem_01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areae_cannibal_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/proxy_areae_cannibal_01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areae_humanwendigo_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/proxy_areae_humanwendigo_01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_kraken(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/proxy_kraken.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areae_wraith_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/proxy_areae_wraith_01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areae_livingplant(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/proxy_areae_livingplant.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areae_witchcoven(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/proxy_areae_witchcoven.dbr", gd.quests.areaEQuestFactionWitch.witchOnAddToWorld)
end

function gd.GrimHarvest.Multiply_Proxy_questproxy_areae_chthonianrylok_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/questproxy_areae_chthonianrylok_01.dbr", gd.quests.areaEQuestVoid.bossOnAddToWorld)
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areaf_trapchest_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/proxy_areaf_trapchest_01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areae_chthonianrylok_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/proxy_areae_chthonianrylok_01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_questproxy_areaf_gatekeeper(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/questproxy_areaf_gatekeeper.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areaf_aetherialfleshshaper_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/proxy_areaf_aetherialfleshshaper_01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_questproxy_areaf_fleshweaverharaxis(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/questproxy_areaf_fleshweaverharaxis.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areaf_humanascendant_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/proxy_areaf_humanascendant_01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areaf_factoryguardian_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/proxy_areaf_factoryguardian_01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areaf_factoryguardian_02(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/proxy_areaf_factoryguardian_02.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_questproxy_areaf_finalboss(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/questproxy_areaf_finalboss.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_questproxy_areae_chthonianservitor_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/questproxy_areae_chthonianservitor_01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_questproxy_areaf_mindthief(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/questproxy_areaf_mindthief.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areag_eldritchhound_basalt(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_areag_eldritchhound_basalt.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_duskreaper(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_duskreaper.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areag_korvaaklieutenant_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_areag_korvaaklieutenant_01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_inarah(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_inarah.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_steward(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_steward.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_dravis(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_dravis.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_questproxy_areag_fatherkymon(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/questproxy_areag_fatherkymon.dbr", gd.quests.areaGFatherKymon.kymonAvatarOnAddToWorld)
end

function gd.GrimHarvest.Multiply_Proxy_questproxy_areag_korvaakfinal(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/questproxy_areag_korvaakfinal.dbr", gd.quests.areaGKorvaak.bossPhase01OnAddToWorld)
end

function gd.GrimHarvest.Multiply_Proxy_proxy_map_protector_2(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_map_protector_2.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_map_protector_3(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_map_protector_3.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areag_roguelike_monstrosity_amb_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_areag_roguelike_monstrosity_amb_01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areag_roguelike_monstrosity_amb_02(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_areag_roguelike_monstrosity_amb_02.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areag_roguelike_monstrosity_amb_03(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_areag_roguelike_monstrosity_amb_03.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areag_roguelike_monstrosity_amb_04(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_areag_roguelike_monstrosity_amb_04.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_celestialleech_n(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/areag/celestialleech_n.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_eldritcharmor_roguelikemagi_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_eldritcharmor_roguelikemagi_01.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_eldritcharmor_roguelikemagi_02(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_eldritcharmor_roguelikemagi_02.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_eldritcharmor_roguelikemagi_03(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_eldritcharmor_roguelikemagi_03.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_eldritcharmor_roguelikemagi_04(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_eldritcharmor_roguelikemagi_04.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_eldritcharmor_roguelikemagi_05(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_eldritcharmor_roguelikemagi_05.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_eldritcharmor_roguelikemagi_06(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_eldritcharmor_roguelikemagi_06.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_eldritcharmor_roguelikemagi_07(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_eldritcharmor_roguelikemagi_07.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_ketan(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_ketan.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_stonegryphon_templeguardian(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx2/proxy_stonegryphon_templeguardian.dbr")
end

function gd.GrimHarvest.Multiply_Proxy_proxy_areaf_enclavesidebosses_01(objectID)
	gd.GrimHarvest.Execute_On_First_Boss_Spawn(objectID, "grim_harvest/records/proxies/boss&questgdx1/proxy_areaf_enclavesidebosses_01.dbr")
end