gd.GrimHarvest.Nemesis = {}

-- nemesis_aetherial_01.dbr
function gd.GrimHarvest.Nemesis.ValdaranRespawn(objectID)
	if Server then
		gd.GrimHarvest.NemesisRespawn("Valdaran", objectID, NemesisLevel())
	end
end

-- nemesis_outlaw_01.dbr
function gd.GrimHarvest.Nemesis.FabiusRespawn(objectID)
	if Server then
		gd.GrimHarvest.NemesisRespawn("Fabius", objectID, NemesisLevel())
	end
end

-- nemesis_orderdeathsvigil_01.dbr
function gd.GrimHarvest.Nemesis.ZantarinRespawn(objectID)
	if Server then
		gd.GrimHarvest.NemesisRespawn("Zantarin", objectID, NemesisLevel())
	end
end

-- nemesis_undead_02b.dbr
function gd.GrimHarvest.Nemesis.MoosilaukeRespawn(objectID)
	if Server then
		gd.GrimHarvest.NemesisRespawn("Moosilauke", objectID, NemesisLevel())
	end
end

-- nemesis_chthonian_02.dbr
function gd.GrimHarvest.Nemesis.BennJahrRespawn(objectID)
	if Server then
		gd.GrimHarvest.NemesisRespawn("BennJahr", objectID, NemesisLevel())
	end
end

-- nemesis_kymon_02.dbr
function gd.GrimHarvest.Nemesis.IronMaidenRespawn(objectID)
	if Server then
		gd.GrimHarvest.NemesisRespawn("IronMaiden", objectID, NemesisLevel())
	end
end

-- nemesis_aetherialvanguard_01.dbr
function gd.GrimHarvest.Nemesis.AleksanderRespawn(objectID)
	if Server then
		gd.GrimHarvest.NemesisRespawn("Aleksander", objectID, NemesisLevelAOM())
	end
end

-- nemesis_wendigo_01.dbr
function gd.GrimHarvest.Nemesis.ReaperRespawn(objectID)
	if Server then
		gd.GrimHarvest.NemesisRespawn("Reaper", objectID, NemesisLevelAOM())
	end
end

-- nemesis_chthonianvoidborn_01.dbr
function gd.GrimHarvest.Nemesis.GravaRespawn(objectID)
	if Server then
		gd.GrimHarvest.NemesisRespawn("Grava", objectID, NemesisLevelAOM())
	end
end

-- nemesis_beast_01_p3a
-- nemesis_beast_01_p3b
-- nemesis_beast_01_p3c
-- nemesis_beast_01_p3d
local kubaKillCount = 0
function gd.GrimHarvest.Nemesis.KubacabraRespawn(objectID)
	if Server then
		kubaKillCount = kubaKillCount + 1
		if(kubaKillCount == 4) then
			kubaKillCount = 0
			gd.GrimHarvest.NemesisRespawn("Kuba", objectID, NemesisLevelAOM())
		end
	end
end

-- nemesis_eldritch_01.dbr
function gd.GrimHarvest.Nemesis.KaisanRespawn(objectID)
	if Server then
		gd.GrimHarvest.NemesisRespawn("Kaisan", objectID, NemesisLevelAOM())
	end
end

local is_boss_spawned = {}
function gd.GrimHarvest.Nemesis.Execute_On_First_Boss_Spawn(key, objectID)
	if Server then
		if(is_boss_spawned[key]) then
			return
		end
		is_boss_spawned[key] = true
		gd.GrimHarvest.MultiplyNemesis(key, objectID, NemesisLevel())
	end
end


-- nemesis_aetherial_01.dbr
function gd.GrimHarvest.Nemesis.ValdaranMultiply(objectID)
	if Server then
		gd.GrimHarvest.Nemesis.Execute_On_First_Boss_Spawn("Valdaran", objectID)
	end
end

-- nemesis_outlaw_01.dbr
function gd.GrimHarvest.Nemesis.FabiusMultiply(objectID)
	if Server then
		gd.GrimHarvest.Nemesis.Execute_On_First_Boss_Spawn("Fabius", objectID)
	end
end

-- nemesis_orderdeathsvigil_01.dbr
function gd.GrimHarvest.Nemesis.ZantarinMultiply(objectID)
	if Server then
		gd.GrimHarvest.Nemesis.Execute_On_First_Boss_Spawn("Zantarin", objectID)
	end
end

-- nemesis_undead_02a.dbr
function gd.GrimHarvest.Nemesis.MoosilaukeMultiply(objectID)
	if Server then
		gd.GrimHarvest.Nemesis.Execute_On_First_Boss_Spawn("Moosilauke", objectID)
	end
end

-- nemesis_chthonian_02.dbr
function gd.GrimHarvest.Nemesis.BennJahrMultiply(objectID)
	if Server then
		gd.GrimHarvest.Nemesis.Execute_On_First_Boss_Spawn("BennJahr", objectID)
	end
end

-- nemesis_kymon_02.dbr
function gd.GrimHarvest.Nemesis.IronMaidenMultiply(objectID)
	if Server then
		gd.GrimHarvest.Nemesis.Execute_On_First_Boss_Spawn("IronMaiden", objectID)
	end
end

-- nemesis_aetherialvanguard_01.dbr
function gd.GrimHarvest.Nemesis.AleksanderMultiply(objectID)
	if Server then
		gd.GrimHarvest.Nemesis.Execute_On_First_Boss_Spawn("Aleksander", objectID)
	end
end

-- nemesis_wendigo_01.dbr
function gd.GrimHarvest.Nemesis.ReaperMultiply(objectID)
	if Server then
		gd.GrimHarvest.Nemesis.Execute_On_First_Boss_Spawn("Reaper", objectID)
	end
end

-- nemesis_chthonianvoidborn_01.dbr
function gd.GrimHarvest.Nemesis.GravaMultiply(objectID)
	if Server then
		gd.GrimHarvest.Nemesis.Execute_On_First_Boss_Spawn("Grava", objectID)
	end
end

-- nemesis_beast_01_p1
function gd.GrimHarvest.Nemesis.KubacabraMultiply(objectID)
	if Server then
		gd.GrimHarvest.Nemesis.Execute_On_First_Boss_Spawn("Kuba", objectID)
	end
end

-- nemesis_eldritch_01.dbr
function gd.GrimHarvest.Nemesis.KaisanMultiply(objectID)
	if Server then
		gd.GrimHarvest.Nemesis.Execute_On_First_Boss_Spawn("Kaisan", objectID)
	end
end


function NemesisLevel()

	local averageLevel = Game.GetAveragePlayerLevel()
	local monsterLevel = 0
	local minLevel = 0
	local maxLevel = 0

	if (Game.GetGameDifficulty() == Game.Difficulty.Normal) then
		minLevel = 40
		maxLevel = 55
	elseif (Game.GetGameDifficulty() == Game.Difficulty.Epic) then
		minLevel = 55
		maxLevel = 70
	else
		minLevel = 65
		maxLevel = 200
	end
	
	if (averageLevel < minLevel) then
		monsterLevel = ((minLevel+(minLevel/50))+4)
	elseif (averageLevel > maxLevel) then
		monsterLevel = ((maxLevel+(maxLevel/50))+4)
	else
		monsterLevel = ((averageLevel+(averageLevel/50))+4)

	end

	return monsterLevel, nil
	
end

function NemesisLevelAOM()

	local averageLevel = Game.GetAveragePlayerLevel()
	local monsterLevel = 0
	local minLevel = 0
	local maxLevel = 0

	if (Game.GetGameDifficulty() == Game.Difficulty.Normal) then
		minLevel = 40
		maxLevel = 70
	elseif (Game.GetGameDifficulty() == Game.Difficulty.Epic) then
		minLevel = 55
		maxLevel = 90
	else
		minLevel = 65
		maxLevel = 200
	end
	
	if (averageLevel < minLevel) then
		monsterLevel = ((minLevel+(minLevel/50))+4)
	elseif (averageLevel > maxLevel) then
		monsterLevel = ((maxLevel+(maxLevel/50))+4)
	else
		monsterLevel = ((averageLevel+(averageLevel/50))+4)

	end

	return monsterLevel, nil
	
end